#!/bin/sh

##################################################################################
#
# This script allows you to kill benchmark runner instances started with runNode.sh
#
# Note that runNode.sh will create a PID.pid file in the current directory, which
# this script will use to get the process id of the process to kill.
#
##################################################################################

PIDFILE=PID.`hostname -s`.pid

if [ -e ${PIDFILE} ]
then
   pid=`cat ${PIDFILE}`
   echo "Killing process ${pid}"
   kill -9 ${pid}
   rm ${PIDFILE}   
fi

exit 0